Page MenuHomePhabricator

Requesting access to view EventLogging data for Tonina WMDE
Closed, ResolvedPublic

Description

Hi,

As an employee of WMDE, I would like to request access to view EventLogging data in order to analyze our banner / fundraising campaigns.
I am unsure which Access Group group is the appropriate one, please advise.

Please let me know what other information you might need for this. Thanks!


Ldap user: https://tools.wmflabs.org/ldap/user/tonina
Groups requested: researchers & analytics-users per T202072#4514570

SRE Clinic Duty Checklist for Access Requests

Most requirements are outlined on https://wikitech.wikimedia.org/wiki/Requesting_shell_access

This checklist should be used on all access requests to ensure that all steps are covered. This includes expansion to access. Please do not check off items on the list below unless you are in Ops and have confirmed the step.

  • - User has signed the L3 Acknowledgement of Wikimedia Server Access Responsibilities Document.
  • - User has a valid NDA on file with WMF legal. (This can be checked by Operations via the NDA tracking sheet & is included in all WMF Staff/Contractor hiring.)
  • - User has provided the following: wikitech username, preferred shell username, email address, and full reasoning for access (including what commands and/or tasks they expect to perform.
  • - User has provided a public SSH key. This ssh key pair should only be used for WMF cluster access, and not share with any other service (this includes not sharing with WMCS access, no shared keys.)
  • - access request (or expansion) has sign off of WMF sponsor/manager (sponser for volunteers, manager for wmf staff)
  • - non-sudo requests: 3 business day wait must pass with no objections being noted on the task - If no objections are noted, this can be merged on 2018-08-23.
  • - Patchset for access request 2 patchsets, one to add user to module, followup to add user to groups https://gerrit.wikimedia.org/r/454327 & https://gerrit.wikimedia.org/r/454328

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2018, 3:56 PM

Hi,

You need to (digitally) sign the NDA, please write to Rachel Stallman <rstallman@wikimedia.org> (@RStallman-legalteam ) and she'll prepare it for you. This also needs to be signed off by your manager at WMDE.

I am assuming your request is for the group called "analytics-wmde" but it's purely based on the existing members and description:

analytics-wmde-users:
  description: Group of WMDE analytics users
  gid: 784
  members: [addshore, goransm]
  privileges: ['ALL = (analytics-wmde) NOPASSWD: ALL']

Does that seem right, is what you want the same access that the 2 users above have now? cc: @Addshore

Followed up in T202072#4510001, lets have the group conversation there.

Addshore renamed this task from Requesting access to view EventLogging data to Requesting access to view EventLogging data for Tonina WMDE.Aug 17 2018, 2:59 PM

We have an active NDA on file for Tonina. Thanks!

Addshore updated the task description. (Show Details)Aug 17 2018, 4:19 PM
Dzahn triaged this task as Normal priority.Aug 17 2018, 6:45 PM

Hi @Tonina_Zhelyazkova_WMDE ! We'll need an SSH key from you. Could you create one and paste it here?

Also, could you read and sign L3 unless you already have in the past? Thanks

Addshore updated the task description. (Show Details)Aug 20 2018, 3:19 PM
Addshore moved this task from Untriaged to Awaiting User Input on the SRE-Access-Requests board.

Hi @Dzahn
I've signed L3 and here's my SSH key

ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6GvnAGyZIE/zjBpRQINxGS8fzTTj1TjSLczbSaVhQOw52NrelEPw2yI0NyLaBPcPD1awob/seIigrJls+Cx3cxSww1fWEe+rRanUy3MXckcK0Hy1U+Ut+Aj9XcBYGl83oanriTXYiIKgSv0w2NzH0ttIwQqPpI2P4ahu2N5psZHU9GE3ccSH+enZ6eF8RmiWR2thGM84axCHqsuOMScmReYwJfxMi0zRyg7ag9HfLHZSrE6X4Y1buJf82bEUJVs7S77TiFfr7u3VIxupEM3amLD3EF1NTTEhUKiDXD07frOuen1KeJfjbDWFBpTA0ai0DE67dn8FfL6sJzEmmg7XD
RobH updated the task description. (Show Details)Aug 21 2018, 6:16 PM
RobH updated the task description. (Show Details)

Change 454327 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding user tonia to admin module

https://gerrit.wikimedia.org/r/454327

Change 454328 had a related patch set uploaded (by RobH; owner: RobH):
[operations/puppet@production] adding tonina to groups in admin module

https://gerrit.wikimedia.org/r/454328

RobH updated the task description. (Show Details)Aug 21 2018, 6:21 PM
RobH moved this task from Awaiting User Input to 3 Business Day Wait on the SRE-Access-Requests board.

Change 454327 merged by RobH:
[operations/puppet@production] adding user tonia to admin module

https://gerrit.wikimedia.org/r/454327

Change 454328 merged by RobH:
[operations/puppet@production] adding tonina to groups in admin module

https://gerrit.wikimedia.org/r/454328

RobH closed this task as Resolved.Aug 23 2018, 3:53 PM
RobH claimed this task.
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
RobH added a subscriber: RobH.

No objections have been noted and all other criteria met, so this is now merged live. Please note it can take up to 30 minutes for all affected hosts to receive the change.

Change 455077 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Add missing comma in users list for researchers group

https://gerrit.wikimedia.org/r/455077

Change 455077 merged by Muehlenhoff:
[operations/puppet@production] Add missing comma in users list for researchers group

https://gerrit.wikimedia.org/r/455077

The original patch had a missing comma which broke puppet on stat1006, so Tonina's access wasn't effective yet. I've fixed that in https://gerrit.wikimedia.org/r/#/c/operations/puppet/+/455077/